Managing libircclient options.(3)

NAME
Managing libircclient options. -

  Defines
#define LIBIRC_OPTION_DEBUG (1 << 1)
#define LIBIRC_OPTION_STRIPNICKS (1 << 2)
allows to strip origins automatically.

  Functions
void irc_option_set (irc_session_t *session, unsigned int option)
Sets the libircclient option.
void irc_option_reset (irc_session_t *session, unsigned int option)
Resets the libircclient option.

Define Documentation

  #define LIBIRC_OPTION_DEBUG (1 << 1)

enables additional debug output

  #define LIBIRC_OPTION_STRIPNICKS (1 << 2)

allows to strip origins automatically.

For every IRC server event, the event origin is sent in standard form: nick!host@ircserver, i.e. like tim!home@irc.krasnogorsk.ru. Such origins can not be used in IRC commands, and need to be stripped (i.e. host and server part should be cut off) before using. This can be done either explicitly, by calling irc_target_get_nick(), or implicitly for all the events - by setting this option with irc_option_set().

Function Documentation

  void irc_option_reset (irc_session_t * session, unsigned int option)

Resets the libircclient option.

Parameters:
    session An initiated session.
    option An option from libirc_options.h

This function removes the previously set libircclient option, changing libircclient behavior. See the option list for the meaning for every option.

See also:
    irc_option_set

  void irc_option_set (irc_session_t * session, unsigned int option)

Sets the libircclient option.

Parameters:
    session An initiated session.
    option An option from libirc_options.h

This function sets the libircclient option, changing libircclient behavior. See the option list for the meaning for every option.

See also:
    irc_option_reset

Author

Generated automatically by Doxygen for libircclient from the source code.